Bug 131225 - (IT_40029) can you change the cluster daemons\' logging facility?
can you change the cluster daemons\' logging facility?
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 02:34 EDT by Karen Bennet
Modified: 2009-04-16 16:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 17:27:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log facility feature request implementation (10.14 KB, patch)
2004-09-28 11:11 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Karen Bennet 2004-08-30 02:34:14 EDT
I don't see anyway to do this in the configuration or the documentation. 

If you can't do this, then this should be considered a feature request.
----------
Action by: emoon
Issue Registered
----------
Action by: robinson
To clarify, you mean to change the fact that we use local4 as the log
facility within syslog, not just the file to be logged to, or the fact
that we use syslog?

If you do wish to change it from local4 to say "authpriv" or "local7",
is there a reason why? (such as using local4 for another application?) 

I do not know of anyway to change this currently, and I will need the
answers to the above to be able to push this as a feature request. I
will look into any intentions we have of changing this behavior, in
the meantime.


robinson assigned to issue for Amazon.

Category set to: Applications
Status set to: Waiting on Client

----------
Action by: emoon
I don't have a problem with using syslog, I'm just looking to change
the syslog log facility that's being defined from local4 to local7. 
We use local4 for other internal apps.

Status set to: Waiting on Tech

----------
Action by: robinson
It doesn't appear that this is possible currently. Looking into this
as a feature request.



----------
Action by: robinson
Frank: Can we evaluate this as a feature for the next cluster suite
update? It makes sense, Amazon can't be the only people using local4
for other things.


Issue escalated to Feature Escalations Group by: robinson
.Status set to: Feature Request

----------
Action by: faith



Issue escalated to SEG - Feature Requests by: faith
.
----------
Action by: faith


faith assigned to issue for SEG - Feature Requests.

----------
Action by: faith
Feature Escalations Group has de-escalated the issue.
----------
Action by: faith
Support Engineering Group has de-escalated the issue.
----------
Action by: faith
Escalating feature from FEG to SE - new process


Issue escalated to Sustaining Engineering by: faith
.
----------
Action by: robinson
Ping for feedback to whomever is handling this as a feature request.



----------
Action by: bennet
Escalated to Bugzilla
Comment 1 Lon Hohberger 2004-09-02 10:04:29 EDT
Theoretically, it's not terribly difficult. ~2 hours work, tops, but
it would require GUI changes too, so you should ask jparsons about it.
 Or we can leave it as 'advanced' and force people to use 'cludb' to
alter the logging facility.
Comment 7 Lon Hohberger 2004-09-28 11:11:15 EDT
Created attachment 104438 [details]
Log facility feature request implementation

This enables changing the logging facility using:

cludb -p cluster%logfacility <facil>

Where <facil> is one of the strings from /usr/include/sys/syslog.h:

local0..local8, kern, uucp, etc.
Comment 9 Derek Anderson 2004-11-08 17:27:08 EST
Verified by issuing 'cludb -p cluster%logfacility local5' and setting
local5 in /etc/syslog.conf to go to /var/log/cluster5.  Restarted the
syslog service, moved a cluman service around to generate log
messages.  Made sure they went in the right place.  No GUI changes
made for this, run command line only to change log facility.

clumanager-1.2.22-2

Ready for RHEL3-U4.

Comment 10 John Flanagan 2004-12-20 22:40:14 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-491.html
Comment 11 Lon Hohberger 2007-12-21 10:09:51 EST
Fixing product name.  Clumanager on RHEL3 was part of RHCS3, not RHEL3

Note You need to log in before you can comment on or make changes to this bug.